package com.robot.remote.smartrobotremote.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;


/**
 * 水厂质控值对象 z_quality_value
 * 
 * @author ruoyi
 * @date 2025-03-06
 */
public class ZQualityValue
{
    private static final long serialVersionUID = 1L;

    /** 记录id */
    private Long valueId;

    /** $column.columnComment */
    private Long deviceWorks;

    /** 化验项目 */
    private String assayItem;

    /** 质控值 */
    private Double resultValue;

    /** 有效结束时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date endTime;

    /** 下限值 */
    private Double lowValue;

    /** 上限值 */
    private Double highValue;

    /** 有效开始时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date beginTime;

    /** 创建者 */
    private String createBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新者 */
    private String updateBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public void setValueId(Long valueId)
    {
        this.valueId = valueId;
    }

    public Long getValueId() 
    {
        return valueId;
    }
    public void setDeviceWorks(Long deviceWorks) 
    {
        this.deviceWorks = deviceWorks;
    }

    public Long getDeviceWorks() 
    {
        return deviceWorks;
    }
    public void setAssayItem(String assayItem) 
    {
        this.assayItem = assayItem;
    }

    public String getAssayItem() 
    {
        return assayItem;
    }
    public void setResultValue(Double resultValue)
    {
        this.resultValue = resultValue;
    }

    public Double getResultValue()
    {
        return resultValue;
    }
    public void setEndTime(Date endTime) 
    {
        this.endTime = endTime;
    }

    public Date getEndTime() 
    {
        return endTime;
    }
    public void setLowValue(Double lowValue)
    {
        this.lowValue = lowValue;
    }

    public Double getLowValue()
    {
        return lowValue;
    }
    public void setHighValue(Double highValue)
    {
        this.highValue = highValue;
    }

    public Double getHighValue()
    {
        return highValue;
    }
    public void setBeginTime(Date beginTime) 
    {
        this.beginTime = beginTime;
    }

    public Date getBeginTime() 
    {
        return beginTime;
    }

}
