package com.robot.remote.smartrobotremote.domain;


import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

/**
 * 部门对象 biz_water_work
 * 
 * @author ruoyi
 * @date 2025-03-06
 */
public class BizWaterWork
{
    private static final long serialVersionUID = 1L;

    /** 水厂id */
    private Long worksId;

    /** 父部门id */
    private Long parentId;

    /** 祖级列表 */
    private String ancestors;

    /** 部门名称 */
    private String worksName;

    /** 显示顺序 */
    private Long orderNum;

    /** 水厂状态（0正常 1停用） */
    private String worksStatus;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 水厂编号 */
    private String worksNo;

    /** $column.columnComment */
    private String worksProvince;

    /** $column.columnComment */
    private String worksCity;

    /** $column.columnComment */
    private String worksArea;

    /** 水厂经度 */
    private String worksLongitude;

    /** 水厂纬度 */
    private String worksLatitude;

    /** $column.columnComment */
    private String worksAddress;

    /** 设备数量 */
    private Long worksCount;

    /** 水厂类型（1：平台；2：集团；3：水厂 4：区域中心） */
    private String worksType;

    /** 是否为区域中心（0：是；1：否） */
    private String worksCenter;

    /** 水厂所属集团 */
    private Long worksBelong;

    /** 水厂联系人 */
    private String worksMaintainer;

    /** 联系电话 */
    private String worksTel;

    /** 创建者 */
    private String createBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新者 */
    private String updateBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public void setWorksId(Long worksId)
    {
        this.worksId = worksId;
    }

    public Long getWorksId() 
    {
        return worksId;
    }
    public void setParentId(Long parentId) 
    {
        this.parentId = parentId;
    }

    public Long getParentId() 
    {
        return parentId;
    }
    public void setAncestors(String ancestors) 
    {
        this.ancestors = ancestors;
    }

    public String getAncestors() 
    {
        return ancestors;
    }
    public void setWorksName(String worksName) 
    {
        this.worksName = worksName;
    }

    public String getWorksName() 
    {
        return worksName;
    }
    public void setOrderNum(Long orderNum) 
    {
        this.orderNum = orderNum;
    }

    public Long getOrderNum() 
    {
        return orderNum;
    }
    public void setWorksStatus(String worksStatus) 
    {
        this.worksStatus = worksStatus;
    }

    public String getWorksStatus() 
    {
        return worksStatus;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }
    public void setWorksNo(String worksNo) 
    {
        this.worksNo = worksNo;
    }

    public String getWorksNo() 
    {
        return worksNo;
    }
    public void setWorksProvince(String worksProvince) 
    {
        this.worksProvince = worksProvince;
    }

    public String getWorksProvince() 
    {
        return worksProvince;
    }
    public void setWorksCity(String worksCity) 
    {
        this.worksCity = worksCity;
    }

    public String getWorksCity() 
    {
        return worksCity;
    }
    public void setWorksArea(String worksArea) 
    {
        this.worksArea = worksArea;
    }

    public String getWorksArea() 
    {
        return worksArea;
    }
    public void setWorksLongitude(String worksLongitude) 
    {
        this.worksLongitude = worksLongitude;
    }

    public String getWorksLongitude() 
    {
        return worksLongitude;
    }
    public void setWorksLatitude(String worksLatitude) 
    {
        this.worksLatitude = worksLatitude;
    }

    public String getWorksLatitude() 
    {
        return worksLatitude;
    }
    public void setWorksAddress(String worksAddress) 
    {
        this.worksAddress = worksAddress;
    }

    public String getWorksAddress() 
    {
        return worksAddress;
    }
    public void setWorksCount(Long worksCount) 
    {
        this.worksCount = worksCount;
    }

    public Long getWorksCount() 
    {
        return worksCount;
    }
    public void setWorksType(String worksType) 
    {
        this.worksType = worksType;
    }

    public String getWorksType() 
    {
        return worksType;
    }
    public void setWorksCenter(String worksCenter) 
    {
        this.worksCenter = worksCenter;
    }

    public String getWorksCenter() 
    {
        return worksCenter;
    }
    public void setWorksBelong(Long worksBelong) 
    {
        this.worksBelong = worksBelong;
    }

    public Long getWorksBelong() 
    {
        return worksBelong;
    }
    public void setWorksMaintainer(String worksMaintainer) 
    {
        this.worksMaintainer = worksMaintainer;
    }

    public String getWorksMaintainer() 
    {
        return worksMaintainer;
    }
    public void setWorksTel(String worksTel) 
    {
        this.worksTel = worksTel;
    }

    public String getWorksTel() 
    {
        return worksTel;
    }


}
