package com.robot.remote.smartrobotremote.domain;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;


/**
 * 化验项目信息对象 z_assay
 * 
 * @author ruoyi
 * @date 2025-03-06
 */
public class ZAssay
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long assayId;

    /** 化验唯一编号 */
    private String assayNo;

    /** 设备编号 */
    private String deviceNo;

    /** 化验类型 */
    private String assayType;

    /** 化验实时大流程 */
    private String assayBigprocess;

    /** 化验实时小流程 */
    private String assaySmallprocess;

    /** 化验开始时间 */
    private String beginTime;

    /** 化验结束时间 */
    private String endTime;

    /** 化验日期 */
    private String assayDate;

    /** 化验人 */
    private String assayBy;

    /** 化验版本 */
    private String version;

    /** 流程名 */
    private String stepName;

    /** 总步进 */
    private String stepTotal;

    /** 当前步进 */
    private String stepNow;

    /** 步进信息1 */
    private String stepInfo1;

    /** 步进信息2 */
    private String stepInfo2;

    /** 步进信息3 */
    private String stepInfo3;

    /** 化验状态 */
    private String assayStatus;

    /** 化验方式(0-自动化验，1-手动化验) */
    private String assayMethod;

    /** $column.columnComment */
    private Date cPangusyncsourcetimestamp;

    /** 创建者 */
    private String createBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新者 */
    private String updateBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    //2025年03月10日11:24:24 新增请求参数
    //记录ID 用于筛选大于此ID的数据
    private Long id;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public void setAssayId(Long assayId)
    {
        this.assayId = assayId;
    }

    public Long getAssayId() 
    {
        return assayId;
    }
    public void setAssayNo(String assayNo) 
    {
        this.assayNo = assayNo;
    }

    public String getAssayNo() 
    {
        return assayNo;
    }
    public void setDeviceNo(String deviceNo) 
    {
        this.deviceNo = deviceNo;
    }

    public String getDeviceNo() 
    {
        return deviceNo;
    }
    public void setAssayType(String assayType) 
    {
        this.assayType = assayType;
    }

    public String getAssayType() 
    {
        return assayType;
    }
    public void setAssayBigprocess(String assayBigprocess) 
    {
        this.assayBigprocess = assayBigprocess;
    }

    public String getAssayBigprocess() 
    {
        return assayBigprocess;
    }
    public void setAssaySmallprocess(String assaySmallprocess) 
    {
        this.assaySmallprocess = assaySmallprocess;
    }

    public String getAssaySmallprocess() 
    {
        return assaySmallprocess;
    }
    public void setBeginTime(String beginTime) 
    {
        this.beginTime = beginTime;
    }

    public String getBeginTime() 
    {
        return beginTime;
    }
    public void setEndTime(String endTime) 
    {
        this.endTime = endTime;
    }

    public String getEndTime() 
    {
        return endTime;
    }
    public void setAssayDate(String assayDate) 
    {
        this.assayDate = assayDate;
    }

    public String getAssayDate() 
    {
        return assayDate;
    }
    public void setAssayBy(String assayBy) 
    {
        this.assayBy = assayBy;
    }

    public String getAssayBy() 
    {
        return assayBy;
    }
    public void setVersion(String version) 
    {
        this.version = version;
    }

    public String getVersion() 
    {
        return version;
    }
    public void setStepName(String stepName) 
    {
        this.stepName = stepName;
    }

    public String getStepName() 
    {
        return stepName;
    }
    public void setStepTotal(String stepTotal) 
    {
        this.stepTotal = stepTotal;
    }

    public String getStepTotal() 
    {
        return stepTotal;
    }
    public void setStepNow(String stepNow) 
    {
        this.stepNow = stepNow;
    }

    public String getStepNow() 
    {
        return stepNow;
    }
    public void setStepInfo1(String stepInfo1) 
    {
        this.stepInfo1 = stepInfo1;
    }

    public String getStepInfo1() 
    {
        return stepInfo1;
    }
    public void setStepInfo2(String stepInfo2) 
    {
        this.stepInfo2 = stepInfo2;
    }

    public String getStepInfo2() 
    {
        return stepInfo2;
    }
    public void setStepInfo3(String stepInfo3) 
    {
        this.stepInfo3 = stepInfo3;
    }

    public String getStepInfo3() 
    {
        return stepInfo3;
    }
    public void setAssayStatus(String assayStatus) 
    {
        this.assayStatus = assayStatus;
    }

    public String getAssayStatus() 
    {
        return assayStatus;
    }
    public void setAssayMethod(String assayMethod) 
    {
        this.assayMethod = assayMethod;
    }

    public String getAssayMethod() 
    {
        return assayMethod;
    }
    public void setcPangusyncsourcetimestamp(Date cPangusyncsourcetimestamp) 
    {
        this.cPangusyncsourcetimestamp = cPangusyncsourcetimestamp;
    }

    public Date getcPangusyncsourcetimestamp() 
    {
        return cPangusyncsourcetimestamp;
    }


}
