package com.robot.remote.smartrobotremote.domain;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;


/**
 * 化验结果明细对象 z_assay_result
 * 
 * @author ruoyi
 * @date 2025-03-06
 */
public class ZAssayResult
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long resultId;

    /** 化验唯一编号 */
    private String assayNo;

    /** 结果编号 */
    private String resultNo;

    /** 样品编号 */
    private String sampleNo;

    /** 样品体积 */
    private Long sampleVolume;

    /** 化验设备编号 */
    private String deviceNo;

    /** 化验项目 */
    private String assayItem;

    /** 化验浓度值 */
    private Long resultConcentration;

    /** 化验ABS值（吸光度） */
    private Long resultAbs;

    /** 结果日期 */
    private String resultDate;

    /** 结果时间 */
    private String resultTime;

    /** 曲线k0 */
    private Long curveK0;

    /** 曲线k1 */
    private Long curveK1;

    /** 曲线唯一id */
    private Long curveId;

    /** $column.columnComment */
    private Long j1901S01;

    /** $column.columnComment */
    private Long j1901D01;

    /** $column.columnComment */
    private Long j1901R01;

    /** $column.columnComment */
    private Long j1901S1;

    /** $column.columnComment */
    private Long j1901D1;

    /** $column.columnComment */
    private Long j1901R1;

    /** $column.columnComment */
    private Long j1901S02;

    /** $column.columnComment */
    private Long j1901D02;

    /** $column.columnComment */
    private Long j1901R02;

    /** $column.columnComment */
    private Long j1901S2;

    /** $column.columnComment */
    private Long j1901D2;

    /** $column.columnComment */
    private Long j1901R2;

    /** 化验分类 */
    private String assayType;

    /** 样品位 */
    private Long samplePost;

    /** 化验温度 */
    private Long resultWendu;

    /** 化验湿度 */
    private Long resultShidu;

    /** 原始浓度值 */
    private Long originalConcentration;

    /** 曲线编号 */
    private String curveNo;

    /** (0:未读，1:已读) */
    private String readFlag;

    /** $column.columnComment */
    private Date cPangusyncsourcetimestamp;

    /** 创建者 */
    private String createBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 更新者 */
    private String updateBy;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date updateTime;

    //2025年03月10日11:24:24 新增请求参数
    //记录ID 用于筛选大于此ID的数据
    private Long id;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public void setResultId(Long resultId)
    {
        this.resultId = resultId;
    }

    public Long getResultId() 
    {
        return resultId;
    }
    public void setAssayNo(String assayNo) 
    {
        this.assayNo = assayNo;
    }

    public String getAssayNo() 
    {
        return assayNo;
    }
    public void setResultNo(String resultNo) 
    {
        this.resultNo = resultNo;
    }

    public String getResultNo() 
    {
        return resultNo;
    }
    public void setSampleNo(String sampleNo) 
    {
        this.sampleNo = sampleNo;
    }

    public String getSampleNo() 
    {
        return sampleNo;
    }
    public void setSampleVolume(Long sampleVolume) 
    {
        this.sampleVolume = sampleVolume;
    }

    public Long getSampleVolume() 
    {
        return sampleVolume;
    }
    public void setDeviceNo(String deviceNo) 
    {
        this.deviceNo = deviceNo;
    }

    public String getDeviceNo() 
    {
        return deviceNo;
    }
    public void setAssayItem(String assayItem) 
    {
        this.assayItem = assayItem;
    }

    public String getAssayItem() 
    {
        return assayItem;
    }
    public void setResultConcentration(Long resultConcentration) 
    {
        this.resultConcentration = resultConcentration;
    }

    public Long getResultConcentration() 
    {
        return resultConcentration;
    }
    public void setResultAbs(Long resultAbs) 
    {
        this.resultAbs = resultAbs;
    }

    public Long getResultAbs() 
    {
        return resultAbs;
    }
    public void setResultDate(String resultDate) 
    {
        this.resultDate = resultDate;
    }

    public String getResultDate() 
    {
        return resultDate;
    }
    public void setResultTime(String resultTime) 
    {
        this.resultTime = resultTime;
    }

    public String getResultTime() 
    {
        return resultTime;
    }
    public void setCurveK0(Long curveK0) 
    {
        this.curveK0 = curveK0;
    }

    public Long getCurveK0() 
    {
        return curveK0;
    }
    public void setCurveK1(Long curveK1) 
    {
        this.curveK1 = curveK1;
    }

    public Long getCurveK1() 
    {
        return curveK1;
    }
    public void setCurveId(Long curveId) 
    {
        this.curveId = curveId;
    }

    public Long getCurveId() 
    {
        return curveId;
    }
    public void setJ1901S01(Long j1901S01) 
    {
        this.j1901S01 = j1901S01;
    }

    public Long getJ1901S01() 
    {
        return j1901S01;
    }
    public void setJ1901D01(Long j1901D01) 
    {
        this.j1901D01 = j1901D01;
    }

    public Long getJ1901D01() 
    {
        return j1901D01;
    }
    public void setJ1901R01(Long j1901R01) 
    {
        this.j1901R01 = j1901R01;
    }

    public Long getJ1901R01() 
    {
        return j1901R01;
    }
    public void setJ1901S1(Long j1901S1) 
    {
        this.j1901S1 = j1901S1;
    }

    public Long getJ1901S1() 
    {
        return j1901S1;
    }
    public void setJ1901D1(Long j1901D1) 
    {
        this.j1901D1 = j1901D1;
    }

    public Long getJ1901D1() 
    {
        return j1901D1;
    }
    public void setJ1901R1(Long j1901R1) 
    {
        this.j1901R1 = j1901R1;
    }

    public Long getJ1901R1() 
    {
        return j1901R1;
    }
    public void setJ1901S02(Long j1901S02) 
    {
        this.j1901S02 = j1901S02;
    }

    public Long getJ1901S02() 
    {
        return j1901S02;
    }
    public void setJ1901D02(Long j1901D02) 
    {
        this.j1901D02 = j1901D02;
    }

    public Long getJ1901D02() 
    {
        return j1901D02;
    }
    public void setJ1901R02(Long j1901R02) 
    {
        this.j1901R02 = j1901R02;
    }

    public Long getJ1901R02() 
    {
        return j1901R02;
    }
    public void setJ1901S2(Long j1901S2) 
    {
        this.j1901S2 = j1901S2;
    }

    public Long getJ1901S2() 
    {
        return j1901S2;
    }
    public void setJ1901D2(Long j1901D2) 
    {
        this.j1901D2 = j1901D2;
    }

    public Long getJ1901D2() 
    {
        return j1901D2;
    }
    public void setJ1901R2(Long j1901R2) 
    {
        this.j1901R2 = j1901R2;
    }

    public Long getJ1901R2() 
    {
        return j1901R2;
    }
    public void setAssayType(String assayType) 
    {
        this.assayType = assayType;
    }

    public String getAssayType() 
    {
        return assayType;
    }
    public void setSamplePost(Long samplePost) 
    {
        this.samplePost = samplePost;
    }

    public Long getSamplePost() 
    {
        return samplePost;
    }
    public void setResultWendu(Long resultWendu) 
    {
        this.resultWendu = resultWendu;
    }

    public Long getResultWendu() 
    {
        return resultWendu;
    }
    public void setResultShidu(Long resultShidu) 
    {
        this.resultShidu = resultShidu;
    }

    public Long getResultShidu() 
    {
        return resultShidu;
    }
    public void setOriginalConcentration(Long originalConcentration) 
    {
        this.originalConcentration = originalConcentration;
    }

    public Long getOriginalConcentration() 
    {
        return originalConcentration;
    }
    public void setCurveNo(String curveNo) 
    {
        this.curveNo = curveNo;
    }

    public String getCurveNo() 
    {
        return curveNo;
    }
    public void setReadFlag(String readFlag) 
    {
        this.readFlag = readFlag;
    }

    public String getReadFlag() 
    {
        return readFlag;
    }
    public void setcPangusyncsourcetimestamp(Date cPangusyncsourcetimestamp) 
    {
        this.cPangusyncsourcetimestamp = cPangusyncsourcetimestamp;
    }

    public Date getcPangusyncsourcetimestamp() 
    {
        return cPangusyncsourcetimestamp;
    }


}
